## freenx-server 2.1.4~20250818075756.17%2Btrixie

=== Makefile ===
.PHONY: all install clean nxenv_install suid_install

SHELL = /bin/bash

# helpers for "install" target
INSTALL_DIR=install -d -m 755
INSTALL_FILE=install -m 644 -C
INSTALL_PROGRAM=install -m 755
INSTALL_SYMLINK=ln -s -f

NX_ETC_DIR      ?= /etc/nxserver
PREFIX          ?= /usr
PATH_BIN        ?= $(PREFIX)/bin
PATH_LIB        ?= $(PREFIX)/lib
CUPS_BACKEND    ?= $(PREFIX)/lib/cups/backend
PATH_SHARE      ?= $(PREFIX)/share

NX_VERSION=`cat VERSION 2>/dev/null`

SUBDIRS=nxredir nxviewer-passwd nx-session-launcher
PROGRAMS=nxcheckload.sample nxdialog.freenx nxkeygen nxnode nxnode-login nxserver nxsetup nx-session-launcher/nx-session-launcher
PROGRAMS_BIN=nxviewer-passwd/nxpasswd/nxpasswd nx-session-launcher/nx-session-launcher-suid

all:
	cd nxviewer-passwd && xmkmf && make Makefiles && make depend
	export PATH_BIN PATH_LIB CUPS_BACKEND NX_VERSION NX_ETC_DIR &&\
	for i in $(SUBDIRS) ; \
	do\
		echo "making" all "in $$i..."; \
	        $(MAKE) -C $$i all || exit 1;\
	done

suid_install:
	chown nx:root $(DESTDIR)/$(PATH_BIN)/nx-session-launcher-suid
	chmod 4755 $(DESTDIR)/$(PATH_BIN)/nx-session-launcher-suid
	chown :users $(DESTDIR)/$(NX_ETC_DIR)/ppd
	chmod 775 $(DESTDIR)/$(NX_ETC_DIR)/ppd
	chown nx:nx $(DESTDIR)/var/lib/nxserver/home/
	chown nx:nx  $(DESTDIR)/var/lib/nxserver/db/


nxenv_install:
	$(INSTALL_DIR) $(DESTDIR)/$(PATH_BIN)/
	$(INSTALL_DIR) $(DESTDIR)/$(PATH_LIB)/freenx-server/
	$(INSTALL_DIR) $(DESTDIR)/$(NX_ETC_DIR)/
	$(INSTALL_FILE) conf/node.conf $(DESTDIR)/$(NX_ETC_DIR)/
	$(INSTALL_FILE) data/Xkbmap $(DESTDIR)/$(NX_ETC_DIR)/
	$(INSTALL_PROGRAM) data/fixkeyboard $(DESTDIR)/$(NX_ETC_DIR)/
	$(INSTALL_PROGRAM) data/Xsession $(DESTDIR)/$(NX_ETC_DIR)/
	$(INSTALL_DIR) $(DESTDIR)/$(NX_ETC_DIR)/node.conf.d/
	$(INSTALL_FILE) conf/conf.d/*.conf $(DESTDIR)/$(NX_ETC_DIR)/node.conf.d/
	$(INSTALL_DIR) $(DESTDIR)/$(NX_ETC_DIR)/acls/
	$(INSTALL_FILE) conf/acls/* $(DESTDIR)/$(NX_ETC_DIR)/acls/
	install -m775 -d  $(DESTDIR)/$(NX_ETC_DIR)/ppd/
	$(INSTALL_DIR) $(DESTDIR)/$(PATH_SHARE)/freenx-server/node.conf.def
	$(INSTALL_FILE) node.conf.def/* $(DESTDIR)/$(PATH_SHARE)/freenx-server/node.conf.def/
	$(INSTALL_FILE) nxfuncs $(DESTDIR)/$(PATH_SHARE)/freenx-server/
	$(INSTALL_DIR) $(DESTDIR)/$(CUPS_BACKEND)/
	$(INSTALL_DIR) $(DESTDIR)/etc/logrotate.d/
	$(INSTALL_FILE) data/logrotate $(DESTDIR)/etc/logrotate.d/freenx-server
	$(INSTALL_DIR) $(DESTDIR)/etc/sudoers.d/
	install -m400 data/sudoers.conf $(DESTDIR)/etc/sudoers.d/nxserver
	$(INSTALL_DIR) $(DESTDIR)/etc/dbus-1/system.d/
	$(INSTALL_FILE) nx-session-launcher/ConsoleKit-NX.conf $(DESTDIR)/etc/dbus-1/system.d/
	$(INSTALL_DIR) $(DESTDIR)/var/lib/nxserver/
	install -m2750 -d $(DESTDIR)/var/lib/nxserver/home/
	install -m2770 -d $(DESTDIR)/var/lib/nxserver/db/
	for i in $(PROGRAMS) ;\
	do\
	        $(INSTALL_PROGRAM) $$i $(DESTDIR)/$(PATH_BIN)/ || exit 1;\
	done
	for i in $(PROGRAMS_BIN) ;\
	do\
	        $(INSTALL_PROGRAM) -s $$i $(DESTDIR)/$(PATH_BIN)/ || exit 1;\
	done
	$(MAKE) -C nxredir install
	#$(MAKE) suid_install

clean:
	for i in $(SUBDIRS) ; \
	do\
		echo "making" clean "in $$i..."; \
		if test -e "$$i/Makefile"; \
		then $(MAKE) -C $$i clean || exit 1;\
		else echo ignoring $$i;\
		fi;\
	done
	rm -f nxviewer-passwd/Makefile.back
	rm -f nxviewer-passwd/Makefile
	rm -f nxviewer-passwd/nxpasswd/Makefile
	rm -f nxviewer-passwd/libvncauth/Makefile

install:
	export PATH_BIN PATH_LIB CUPS_BACKEND NX_VERSION NX_ETC_DIR &&\
	$(MAKE) nxenv_install

=== nx-session-launcher/Makefile ===
.PHONY: all install

CC=gcc
CFLAGS=-g -O2 -Wall -fPIC

SOURCES = nx-session-launcher-suid.c
PROGRAMS = nx-session-launcher-suid

ifneq ($(NX_VERSION),)
CFLAGS+=-DNXSERVER_COMMAND="\"$(PATH_BIN)/nx-session-launcher\""
endif

all: $(PROGRAMS)

clean:
	rm -f $(PROGRAMS)

=== nxredir/Makefile ===
PREFIX          ?= /usr
PATH_BIN        ?= $(PREFIX)/bin
PATH_LIB        ?= $(PREFIX)/lib
CUPS_BACKEND    ?= $(PREFIX)/lib/cups/backend

all: libnxredir.so

CC=gcc
CFLAGS=-g -O2 -Wall -fPIC
LIBNAME=libnxredir.so
VERSION=0

libnxredir.so: nxredir.o
	$(CC) -fPIC $(CFLAGS) -nostdlib -shared -Wl,-soname,$(LIBNAME).$(VERSION) -o $(LIBNAME).$(VERSION) nxredir.o -ldl -lc

clean:
	rm -f $(LIBNAME)
	rm -f $(LIBNAME).$(VERSION)
	rm -f *.o

install:
	install -m755 -s $(LIBNAME).$(VERSION) $(DESTDIR)/$(PATH_LIB)/freenx-server/
	install -m755 nxredir $(DESTDIR)/$(PATH_BIN)/
	install -m755 nxsmb $(DESTDIR)/$(CUPS_BACKEND)/
	sed -i -e 's|PATH_LIB=.*|PATH_LIB='$(PATH_LIB)'|' $(DESTDIR)/$(PATH_BIN)/nxredir
	sed -i -e 's|PATH_LIB=.*|PATH_LIB='$(PATH_LIB)'|' $(DESTDIR)/$(CUPS_BACKEND)/nxsmb
	sed -i -e 's|CUPS_BACKEND=.*|CUPS_BACKEND='$(CUPS_BACKEND)'|' $(DESTDIR)/$(CUPS_BACKEND)/nxsmb

.PHONY: clean install

=== debian/changelog ===
freenx-server (2.1.4~20250818075756.17+trixie) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:57:56 +0200

freenx-server (2.1.3) UNRELEASED; urgency=low

  * Fixing a funny misunderstanding with localization.

 -- Dmitry Borisov <i@dimbor.ru>  Wed, 08 Nov 2023 02:40:25 +0300

freenx-server (2.1.2) UNRELEASED; urgency=low

  * Fix ACL parsing (no globbing).

 -- Dmitry Borisov <i@dimbor.ru>  Tue, 05 Sep 2023 06:48:35 +0300

freenx-server (2.1.1) UNRELEASED; urgency=low

  * Shadow mode add view only on client request.
  * nxshadowacl add new keyword 'all'.

 -- Dmitry Borisov <i@dimbor.ru>  Sun, 19 Jun 2022 12:07:23 +0300

freenx-server (2.1.0) UNRELEASED; urgency=low

  * Shadow mode is worked now.
  * Readd nxshadowacl functionality.

 -- Dmitry Borisov <i@dimbor.ru>  Thu, 16 Jun 2022 22:39:43 +0300

freenx-server (2.0.0) UNRELEASED; urgency=low

  * Release with sqlite3 db engine.

 -- Dmitry Borisov <i@dimbor.ru>  Fri, 27 May 2022 20:04:11 +0300

freenx-server (1.0.0) UNRELEASED; urgency=low

  * Initial release.

 -- Dmitry Borisov <i@dimbor.ru>  Fri, 27 Dec 2019 00:21:36 +0300

=== debian/control ===
Source: freenx-server
Section: x11
Priority: optional
Maintainer: Dmitry Borisov <i@dimbor.ru>
Build-Depends: debhelper (>=9), xutils-dev
Standards-Version: 3.9.8
Homepage: https://unixforum.org/viewforum.php?f=89

Package: freenx-server
Architecture: any
Multi-Arch: foreign
Depends:
 openssh-server,
 libnx-x11-6 (>= 3.5.0),
 libxcomp3 (>= 3.5.0),
 nxagent (>= 3.5.0),
 nxproxy (>= 3.5.0),
 expect,
 sudo,
 zenity,
 x11-xserver-utils,
 x11-xkb-utils,
 x11-utils,
 gettext,
 sqlite3
Recommends: cups, samba, pulseaudio, tigervnc-viewer, freerdp-x11
Description: Evolution of Freenx application/thin-client server
 Freenx is an application/thin-client server based on nx technology.
 NoMachine nx is the next-generation X compression and roundtrip suppression
 scheme. It can operate remote X11 sessions over 56k modem dialup links
 or anything better. This package contains a free (GPL) implementation
 of the nxserver component.
 Added features of community: printers/shares multimount, cups-server
 system mode, direct and tunnelled pulseaudio sound, acls on user's level
 ... etc. Thats all worked with opennx ce client, but original nxclient
 basicaly alive too.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Make sure lintian does not complain about missing hardenings.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Make sure the decades-old source code gets compiled by allowing implicit
# function declarations and, for gcc-14 and above, by downgrading the
# diagnostics applied by the compiler. See
# https://gcc.gnu.org/onlinedocs/gcc-14.1.0/gcc/Warning-Options.html
# for further details.
export DEB_CFLAGS_MAINT_STRIP=-Werror=implicit-function-declaration
cc_major := $(shell $(CC) --version | head -n1 | cut -d' ' -f4 | cut -d. -f1)
cc_major_ge_14 := $(shell [ $(cc_major) -ge 14 ] && echo 'true')
export DEB_CFLAGS_MAINT_APPEND=$(if $(cc_major_ge_14),-fpermissive)

%:
	dh $@

## freenx-server 2.1.4~20250818075801.17%2Bbookworm

=== debian/changelog ===
freenx-server (2.1.4~20250818075801.17+bookworm) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:58:01 +0200

## freenx-server 2.1.4~20250818075801.17%2Bbuster

=== debian/changelog ===
freenx-server (2.1.4~20250818075801.17+buster) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:58:01 +0200

## freenx-server 2.1.4~20250818075805.17%2Bbullseye

=== debian/changelog ===
freenx-server (2.1.4~20250818075805.17+bullseye) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:58:05 +0200
